在Ubuntu 14.04 - 15.10上安装Ruby on Rails

Ruby on Rails,通常称为ROR,是一个用于Web编程的Ruby框架。 Ruby是一种通用语言,比如C,Java。 Ruby已经发明了...

Ruby on Rails,俗称ROR,是一个用于Web编程的Ruby框架。 Ruby是一种通用的语言,如C,Java。 Ruby于十年前由Yukihiro“Matz”Matsumoto发明,并获得了Rails软件库框架的认可,该框架为Ruby编程语言提供了一个Web开发框架。

下面列出的是使用Ruby版本管理器(RVM)在Ubuntu 14.04 LTS到15.10上成功安装ROR的简单步骤。 RVM提供了一种简单的方式来安装和管理多个Ruby版本。

以下步骤全部以root用户身份执行。 请登录您的服务器的shell,然后使用以下命令成为您的服务器上的根目录:

sudo su

在你继续之前

安装RVM

ROR安装开始于在服务器上安装RVM。 在系统上安装最新版本的RVM非常重要,这需要安装CURL命令。 以下命令执行该作业。

apt-get install curl

Curl安装:

安装Curl

要继续安装RVM,请在服务器系统中导入rvm.io公钥。

curl -#LO https://rvm.io/mpapis.asc

gpg --import mpapis.asc

然后用Curl下载RVM安装程序并执行它(通过将Curl输出配置为bash):

curl -sSL https://get.rvm.io | bash -s stable

下载密钥并启动RVm安装程序:

安装钥匙

用Curl安装rvm

下一步是构建RVM环境并将此环境的设置保存到当前的shell中。 这是通过以下命令完成的:

source /etc/profile.d/rvm.sh

必须安装Ruby依赖关系

使用RVM命令安装Ruby依赖关系如下:

rvm requirements

样品输出:

检查可用的Ruby版本

以下命令列出可用的ruby版本:

rvm list known

样品输出:

# MRI Rubies
[ruby-]1.8.6[-p420]
[ruby-]1.8.7[-head] # security released on head
[ruby-]1.9.1[-p431]
[ruby-]1.9.2[-p330]
[ruby-]1.9.3[-p551]
[ruby-]2.0.0[-p643]
[ruby-]2.1.4
[ruby-]2.1[.5]
[ruby-]2.2[.1]
[ruby-]2.2-head
ruby-head

# for forks use: rvm install ruby-head-<name> --url https://github.com/github/ruby.git --branch 2.1

# JRuby
jruby-1.6.8
jruby[-1.7.19]
jruby-head
jruby-9.0.0.0.pre1

# Rubinius
rbx-1.4.3
rbx-2.4.1
rbx[-2.5.2]
rbx-head

# Opal
opal

# Minimalistic ruby implementation - ISO 30170:2012
mruby[-head]

# Ruby Enterprise Edition
ree-1.8.6
ree[-1.8.7][-2012.02]

# GoRuby
goruby

# Topaz
topaz

# MagLev
maglev[-head]
maglev-1.0.0

# Mac OS X Snow Leopard Or Newer
macruby-0.10
macruby-0.11
macruby[-0.12]
macruby-nightly
macruby-head

# IronRuby
ironruby[-1.1.3]
ironruby-head

安装Ruby版本

使用RVM使Ruby版本的独立管理成为一个简单的过程。 下面列出的命令安装了Ruby版本2.3.0。

rvm install 2.3.0

出现在屏幕上的输出行的示例如下所示:

Searching for binary rubies, this might take some time.

Found remote file https://rubies.travis-ci.org/ubuntu/14.04/x86_64/ruby-2.3.0.tar.bz2
Checking requirements for ubuntu.
Requirements installation successful.
ruby-2.3.0 - #configure
ruby-2.3.0 - #download
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0
100 25.1M 100 25.1M 0 0 10.1M 0 0:00:02 0:00:02 --:--:-- 60.2M
No checksum for downloaded archive, recording checksum in user configuration.
ruby-2.3.0 - #validate archive
ruby-2.3.0 - #extract
ruby-2.3.0 - #validate binary
ruby-2.3.0 - #setup
ruby-2.3.0 - #gemset created /usr/local/rvm/gems/ruby-2.3.0@global
ruby-2.3.0 - #importing gemset /usr/local/rvm/gemsets/global.gems...................................
ruby-2.3.0 - #generating global wrappers........
ruby-2.3.0 - #gemset created /usr/local/rvm/gems/ruby-2.3.0
ruby-2.3.0 - #importing gemsetfile /usr/local/rvm/gemsets/default.gems evaluated to empty gem list
ruby-2.3.0 - #generating default wrappers........

默认的Ruby版本必须设置

为了使应用程序使用Ruby,需要设置默认的ruby版本。 以下命令将Ruby 2.3.0设置为默认版本。

rvm use 2.3.0 --default

样品输出:

设置ruby默认版本。

确认安装了ruby版本

可以通过以下命令轻松检查当前shell中安装的版本。

ruby --version

样品输出:

检查红Gem版本。

安装Rails

可以使用Ruby gem安装程序轻松安装Rails。

gem install rails

执行以下命令检查rails版本,看看rails是否已经成功安装。

rails -v

您还可以使用以示例4.2.5所示的以下命令安装某个版本的Rails。

gem install rails --version=4.2.5

样品输出:

安装Ruby 4.2.5